%define upstream_name    Cache-Memcached
%define upstream_version 1.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Client library for memcached (memory cache daemon) 
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/~bradfitz/Cache-Memcached/
Source0:    http://search.cpan.org/CPAN/authors/id/B/BR/BRADFITZ/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(String::CRC32)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is the Perl API for memcached, a distributed memory cache daemon. See the
documentation within the module for details on its use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc ChangeLog META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Cache/Memcached.pm
%dir %{perl_vendorlib}/Cache/Memcached
%{perl_vendorlib}/Cache/Memcached/GetParser.pm
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-11.mga8
+ Revision: 1492971
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.300.0-10.mga7
+ Revision: 1265906
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.300.0-9.mga6
+ Revision: 1022822
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.300.0-8.mga6
+ Revision: 948773
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.300.0-7.mga5
+ Revision: 788368
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-6.mga5
+ Revision: 743448
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.300.0-5.mga5
+ Revision: 732832
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-4.mga5
+ Revision: 683724
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 509580
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 363727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 254583
- update to 1.30

* Sat Jan 22 2011 jquelin <jquelin> 1.290.0-1.mga1
+ Revision: 31751
- mageia rebuild
- imported package perl-Cache-Memcached


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.290.0-1mdv2011.0
+ Revision: 551970
- update to 1.29

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.280.0-1mdv2010.1
+ Revision: 460722
- update to 1.28

* Wed Sep 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1.270.0-1mdv2010.0
+ Revision: 447604
- update to 1.27

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.260.0-1mdv2010.0
+ Revision: 402986
- rebuild using %%perl_convert_version

* Wed May 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.26-1mdv2010.0
+ Revision: 372676
- update to new version 1.26

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2010.0
+ Revision: 371595
- update to new version 1.25

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.24-3mdv2009.0
+ Revision: 255475
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.24-1mdv2008.1
+ Revision: 136666
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2008.0
+ Revision: 53363
- update to new version 1.24

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2008.0
+ Revision: 46336
- update to new version 1.23

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.20-1mdv2008.0
+ Revision: 19255
-New version


* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.18-1mdv2007.0
+ Revision: 110787
- Import perl-Cache-Memcached

* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.18-1mdv2007.1
- initial mandriva package

